document.getElementById('send-button').addEventListener('click', function() {
  var messageInput = document.getElementById('message-input');
  var message = messageInput.value.trim();

  if (message) {
    var messagesContainer = document.getElementById('messages');
    var messageElement = document.createElement('div');
    messageElement.textContent = message;
    messagesContainer.appendChild(messageElement);
    messageInput.value = '';
  }
});

// Placeholder for file upload and download functionality
document.getElementById('upload-file').addEventListener('change', function(event) {
  var file = event.target.files[0];
  if (file) {
    // Handle file upload
    console.log('File selected:', file.name);
  }
});

document.getElementById('download-file').addEventListener('click', function() {
  // Handle file download
  const axios = require('axios');

document.getElementById('upload-file').addEventListener('change', async function(event) {
  const file = event.target.files[0];
  if (file) {
    const formData = new FormData();
    formData.append('file', file);

    try {
      const response = await axios.post('/upload', formData, {
        headers: {
          'Content-Type': 'multipart/form-data'
        }
      });
      console.log('File uploaded:', response.data);
    } catch (error) {
      console.error('File upload failed:', error);
    }
  }
});

document.getElementById('download-file').addEventListener('click', async function() {
  try {
    const response = await axios.get('/download', {
      responseType: 'blob'
    });
    const url = window.URL.createObjectURL(new Blob([response.data]));
    const link = document.createElement('a');
    link.href = url;
    link.setAttribute('download', 'downloaded-file');
    document.body.appendChild(link);
    link.click();
    link.remove();
    console.log('File downloaded');
  } catch (error) {
    console.error('File download failed:', error);
  }
});
});
